<?php
    require('fpdf.php');
    header("Content-Type: text/html; charset=iso-8859-1 ");

    class PDF extends FPDF
    {
    // Cargar los datos
    function LoadData($file)
    {
        // Leer las líneas del fichero
        $lines = file($file);
        $data = array();
        foreach($lines as $line)
            $data[] = explode(';',trim($line));
        return $data;
    }
    function Header()
    {
        // Logo
     //   $this->Image('logo_pb.png',10,8,33);
        // Arial bold 15
        include("../../connect.php");
        $this->SetFont('Arial','B',12);
       
        $this->SetFont('Arial','',10);
        $suc = $_POST["sucursal"];
        $fecha = $_POST["fechainicio"];    
        $fecha2 = $_POST["fechafin"]; 
        $fecha = date_create($fecha);
        $fecha= date_format($fecha, 'd/m/Y');
        $fecha2 = date_create($fecha2);
        $fecha2= date_format($fecha2, 'd/m/Y'); 
        $sql = "SELECT * FROM cat_sucursal WHERE id= $suc";        
        $resultset1 = mysqli_query($conn, $sql);
        $data = array();
        $emparray = array();
        while($row =mysqli_fetch_assoc($resultset1)) 
        { 
     
        $this->Ln();  
        $this->Cell(0,10,'','',0,'R');
         $this->Ln();  
          $this->Ln();  
           $this->Ln(); 
           $this->Cell(0,50,'','',0,'R');
            $this->Ln();
            $this->Cell(0,2,'                                                                                                                                       Sucursal: '.$row["nombre_sucursal"],'',0,'L');
               $this->Cell(0,2,'De '.$fecha.' A '.$fecha2.'                          ','',0,'R');
        }   
         
    }
    // Tabla simple
    function BasicTable( $data)
    {
        // Cabecera
     





        
        // Datos
        foreach($data as $row)
        {
            foreach($row as $col)
                $this->Cell(35,6,'nom',1);
            $this->Ln();
        }
    }

    // Una tabla más completa
    /*function ImprovedTable($header, $data)
    {
        // Anchuras de las columnas
        $w = array(40, 35, 45, 40);
        // Cabeceras
        for($i=0;$i<count($header);$i++)
            $this->Cell($w[$i],7,$header[$i],1,0,'C');
        $this->Ln();
        // Datos
        foreach($data as $row)
        {
            $this->Cell($w[0],6,$row[0],'LR');
            $this->Cell($w[1],6,$row[1],'LR');
            $this->Cell($w[2],6,number_format($row[2]),'LR',0,'R');
            $this->Cell($w[3],6,number_format($row[3]),'LR',0,'R');
            $this->Ln();
        }
        // Línea de cierre
        $this->Cell(array_sum($w),0,'','T');
    }*/

    // Tabla coloreada
        function FancyTable($data)
        {
            // Colores, ancho de línea y fuente en negrita
            $this->SetFillColor(255,255,255);
            $this->SetTextColor(0);
           
           
            $this->SetFont('','B');
            // Cabecera
            $w = array(200, 35, 35, 35,35,35,35,35);
    
         
         
            // Restauración de colores y fuentes
      
            $this->SetTextColor(0);
            $this->SetFont('');
            // Datos
            $fill = false;
            setlocale(LC_MONETARY, 'en_US');
            foreach($data as $row)
            {
                $this->AddPage(); 
                $total = $row["salarioP"]+$row["bonoP"]+$row["bonoExtrap"]-$row["descuento"]-$row["infonavit"]-$row["imss"]+(($row["horas_extras"] * $row["precioHorasExtras"]));
                $a = number_format($total, 2, '.', ',');
                $this->SetFont('Courier','',20);
                $this->Ln();
                $this->Ln();
                $this->Cell(0,30,'                      '.utf8_decode($row["nombre"]." ".$row["apellido"]),'',0,'C',$fill);
                $this->Ln();
                $this->SetFont('Courier','',20);
                $this->Cell(0,0,'                      '."$".$a,'',0,'C',$fill);
                $this->Ln();
           
                $fill = !$fill;
            }
            // Línea de cierre
            $this->Cell(array_sum($w),0,'','');
        }
    }

    
    

    function pdfsalir($data){
        $pdf=new PDF('L','mm','A4');
        // Títulos de las columnas
        
        // Carga de datos
       // $data = $pdf->LoadData('paises.txt'); 
     //   $pdf->AddPage(); 
        
        $pdf->SetFont('Arial','',40);
     
        
      
        $pdf->Ln();        
        $pdf->FancyTable($data);
    
        $pdf->Output('F','archivoSobres.pdf',FALSE);
        echo('archivoSobres.pdf');
   
    }
    
  
 
    $json = json_decode($_POST["json"],true);  
    //echo $json;
    pdfsalir($json);
